JdoXmlMetadataSubTask.GenerationOptionTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jdo.JdoXmlMetadataSubTask.GenerationOptionTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jdo
Class JdoXmlMetadataSubTask.GenerationOptionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.jdo.JdoXmlMetadataSubTask.GenerationOptionTypes

Enclosing class:
  JdoXmlMetadataSubTask

public static class JdoXmlMetadataSubTask.GenerationOptionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ludovic Claude (ludovicc@users.sourceforge.net)
created
  June 14, 20012

Field Summary
`static String` | `CLASS`
`static String` | `PACKAGE`
`static String` | `PROJECT`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`JdoXmlMetadataSubTask.GenerationOptionTypes()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the GeneratinOptionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS

    public static final String CLASS

See Also:
  Constant Field Values

### PACKAGE

    public static final String PACKAGE

See Also:
  Constant Field Values

### PROJECT

    public static final String PROJECT

See Also:
  Constant Field Values

Constructor Detail

### JdoXmlMetadataSubTask.GenerationOptionTypes

    public JdoXmlMetadataSubTask.GenerationOptionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the GeneratinOptionTypes object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD